# **Bootstrap MDCB**

The purpose of this repository is to run an instance of **MDCB** in a local environment, in order to carry out tests and/or developments.
The `docker-compose.yml` file contains the necessary configuration to launch an instance of MDCB with the following components:

- **Dashboard** (`localhost:3000`). To run it, you need to modify the `TYK_DB_LICENSEKEY` field in the `.env` file in the **<TYK_DB_LICENSEKEY>** section with the Tyk Dashboard license. You can obtain a trial license by running the `/dash-trial` command in Slack.
- **MDCB Controller** (`localhost:9090`). Here, we also need an MDCB license. To obtain it, run the `/mdcb-trial` command in Slack and replace the **<TYK_MDCB_LICENSE>** field in the `.env` file.
- **Mongo** (`localhost:27017`). Database used by Dashboard and MDCB. No modifications are necessary.
- 2 instances of **Redis** (`localhost:6379`, `localhost:6378`). The first instance is used by MDCB and Dashboard to store keys. The other one is used by the MDCB worker to store information about cached api keys, OAuth clients, OAuth keys, certificates, policies and API backups. No modifications are necessary.
- 1 **MDCB** worker (`localhost:8182`). It’s using the Redis hosted on port 6378. No modifications are necessary.

## How to run it

You can run the project after editing your `.env` file with the following command:

```bash
make start
```

This script will create a user in the Dashboard and will update the `hybrid_enabled` value to `true` in Mongo (this is necessary to use the MDCB worker).

## How to stop it

You can stop the project with the following command:

```bash
make stop
```
